{% extends "infra/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Detalle de Nodo{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
  <li class="breadcrumb-item active"><a href="#">ID: {{ object.pk }}</a></li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Detalles de Nodo <small>{{ object.code }}</small></h1>
<!-- end page-header -->


<ul class="nav nav-pills mb-2">
  <li class="nav-item">
    <a href="#"class="nav-link active">
      <span class="d-sm-none">General</span>
      <span class="d-sm-block d-none">General</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="{% url 'node-gear' pk=object.pk %}" class="nav-link">
      <span class="d-sm-none">Equipos</span>
      <span class="d-sm-block d-none">Equipos</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
      <span class="d-sm-none">Galería</span>
      <span class="d-sm-block d-none">Galería</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="{% url 'node-documents' pk=object.pk %}" class="nav-link">
      <span class="d-sm-none">Documentos</span>
      <span class="d-sm-block d-none">Documentos</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="{% url 'node-services' pk=object.pk %}" class="nav-link">
      <span class="d-sm-none">Servicios</span>
      <span class="d-sm-block d-none">Servicios</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="{% url 'node-location' pk=object.pk %}" class="nav-link">
      <span class="d-sm-none">Ubicación</span>
      <span class="d-sm-block d-none">Ubicación</span>
    </a>
  </li>
  <li class="nav-item">
      <a href="{% url 'node-leases' pk=object.pk %}" class="nav-link">
        <span class="d-sm-none">DHCP leases</span>
        <span class="d-sm-block d-none">DHCP leases</span>
      </a>
    </li>
    {% if object.is_optical_fiber %}
    <li class="nav-item">
        <a href="#" class="nav-link">
          <span class="d-sm-none">Fibra Óptica</span>
          <span class="d-sm-block d-none">Fibra Óptica</span>
        </a>
      </li>
      {% endif %}
      <li class="nav-item">
          <a href="{% url 'node-activities' pk=object.pk %}" class="nav-link">
            <span class="d-sm-none">Actividades</span>
            <span class="d-sm-block d-none">Actividades</span>
          </a>
        </li>
        {% if not object.no_address_binding %}
        <li class="nav-item">
            <a href="#" class="nav-link">
              <span class="d-sm-none">Asociar Dirección</span>
              <span class="d-sm-block d-none">Asociar Dirección</span>
            </a>
          </li>

        {% endif %}
</ul>

<!-- begin row -->
<div class="row">
  <!-- begin col-12 -->
  <div class="col-xl-12 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">{% if object %}Detalle{% else %}Nuevo{% endif %} Nodo{% if object %} #{{ object.pk }}{% endif %}</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
          <div class="row mb-3">
							<div class="col-sm-12 col-md-12">
                <a href="{% url 'node-refresh' pk=object.pk %}" id="refresh-button" type="button" class="btn btn-success btn-sm pull-right ml-1">Refrescar infromación de red</a>
                <!--<a class="btn btn-warning btn-sm pull-right ml-1" href="{% url 'node-update' object.pk %}">Editar</a> -->
							</div>
            </div>
            
            <div class="row mb-3">
              <div class="col-sm-6 col-md-6">
                  <table class="table">
                      <tr>
                        <td><strong>Número</strong></td><td>{{ object.pk }}</td>
                      </tr>
                      <tr>
                        <td><strong>Código</strong></td><td>{{ object.code }}</td>
                      </tr>
                      <tr>
                        <td><strong>Estado</strong></td><td><span class="label label-{{ object.get_status_class }}">{{ object.get_status_display }}</span></td>
                      </tr>
                      <tr>
                        <td><strong>IP Mikrotik</strong></td><td><strong>{{ object.mikrotik_ip }}</strong></td>
                      </tr>
                      <tr>
                        <td><strong>Dirección</strong></td><td>{{ object.address }}</td>
                      </tr>
                      <tr>
                        <td><strong>Calle</strong></td><td>{{ object.street }}</td>
                      </tr>
                      <tr>
                        <td><strong>Número</strong></td><td>{{ object.house_number }}</td>
                      </tr>
                      <tr>
                        <td><strong>Vendedor</strong></td><td>{{ object.seller|default:"Venta de mesón" }}</td>
                      </tr>
                      <tr>
                        <td><strong>Comuna</strong></td><td>{{ object.commune }}</td>
                      </tr>
                      <tr>
                        <td><strong>Ubicación</strong></td><td>{{ object.get_location_display }}</td>
                      </tr>
                      <tr>
                        <td><strong>Nodo Padre</strong></td><td>{% if object.parent %} {{ object.parent }} {% endif %}</td>
                      </tr>
                      <tr>
                        <td><strong>¿Es Edificio?</strong></td><td> <input type="checkbox"{% if object.is_building == True %}checked{% endif %}></td>
                      </tr>
                      <tr>
                        <td><strong>Notas</strong></td><td>{{ object.notes }}</td>
                      </tr>
                      <tr>
                        <td><strong>Número de Torre</strong></td><td>{{ object.towers }}</td>
                      </tr>
                      <tr>
                        <td><strong>Número de Departamentos</strong></td><td>{{ object.apartments }}</td>
                      </tr>
                      <tr>
                        <td><strong>Teléfono de Conserjería</strong></td><td>{{ object.phone }}</td>
                      </tr>
                      <tr>
                        <td><strong>Antenas que se pueden instalar</strong></td><td>{{ object.antennas_left }}</td>
                      </tr>
                        </table>
              </div>
              <div class="col-sm-6 col-md-6">
                  {% if object %}
      <h4>Planes disponibles</h4>

      <ul>
	{% for plan in object.plans.all %}
	<li>{{ plan }}</li>
	{% endfor %}
      </ul>
      {% endif %}

      {% if not object.no_address_binding %}
      <h4>Direcciones asociadas</h4>

      <ul>
	{% for av in object.availability_set.all %}
	<li>{{ av }}</li>
	{% endfor %}
      </ul>
      {% endif %}
              </div>
            </div>
    </div>
    <!-- end panel-body -->
  </div>
  <!-- end panel -->
</div>
<!-- end col-12 -->


</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->

{% endblock %}

